/* $Id: util.h 6 2023-02-20 17:11:41Z nishi $ */

#ifndef __NCRON_UTIL_H__
#define __NCRON_UTIL_H__

#include <stddef.h>
#include <stdbool.h>
#include <stdint.h>

size_t sstrlen(const char* str);
char* sstrcat(const char* str1, const char* str2);
char* sstrcat3(const char* str1, const char* str2, const char* str3);
char* sstrdup(const char* str);
char* scarray(char ch);
char* scappend(char* array, char ch);
void smemcpy(void* dest_, void* src_, size_t size);
int64_t sindexof(const char* target, const char* match);
int64_t scontinue(const char* target, const char* match);
void* mqueue(void* ptr);
void mqueue_free();
bool sstartswith(const char* target, const char* starts_with);

#endif
